# V3d_TypeOfOrientation.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum

V3d_TypeOfOrientation {
V3d_Xpos, V3d_Ypos, V3d_Zpos, V3d_Xneg,
V3d_Yneg, V3d_Zneg, V3d_XposYpos, V3d_XposZpos,
V3d_YposZpos, V3d_XnegYneg, V3d_XnegYpos, V3d_XnegZneg,
V3d_XnegZpos, V3d_YnegZneg, V3d_YnegZpos, V3d_XposYneg,
V3d_XposZneg, V3d_YposZneg, V3d_XposYposZpos, V3d_XposYnegZpos,
V3d_XposYposZneg, V3d_XnegYposZpos, V3d_XposYnegZneg, V3d_XnegYposZneg,
V3d_XnegYnegZpos, V3d_XnegYnegZneg
}

| Determines the axis type through the coordinates X, Y, Z. . More...

## Enumeration Type Documentation

enum V3d_TypeOfOrientation

Enumeration values:

  V3d_Xpos |
  V3d_Ypos |
  V3d_Zpos |
  V3d_Xneg |
  V3d_Yneg |
  V3d_Zneg |
  V3d_XposYpos |
  V3d_XposZpos |
  V3d_YposZpos |
  V3d_XnegYneg |
  V3d_XnegYpos |
  V3d_XnegZneg |
  V3d_XnegZpos |
  V3d_YnegZneg |
  V3d_YnegZpos |
  V3d_XposYneg |
  V3d_XposZneg |
  V3d_YposZneg |
  V3d_XposYposZpos |
  V3d_XposYnegZpos |
  V3d_XposYposZneg |
  V3d_XnegYposZpos |
  V3d_XposYnegZneg |
  V3d_XnegYposZneg |
  V3d_XnegYnegZpos |
  V3d_XnegYnegZneg |